function onBegin()
	disableRetry()
	disableMovement()
	player.ForceCameraUpdate = true
	wait(0.75)
	walkTo(5744, false, 0.6, false)
	say("ACP1_8_0")
	wait(0.5)
	walkTo(5748, false, 0.1, false)
	say("ACP1_8_1")
	wait(0.5)
	walkTo(5752, false, 0.1, false)
	say("ACP1_8_2")
	wait(0.75)
	walkTo(5724, false, 0.3, false)
	say("ACP1_8_3")
	walk(24, false, 1.5, false)
	jump()
	walk(120, false, 1.5, false)
	miniTextbox("ACP1_8_4")
	setCameraOffset (0, 1)
	enableMovement()
	waitUntilOnGround()
	makeUnskippable()
	disableMovement()
	setCameraOffset (0, 0)
	wait(0.75)
	say("ACP1_8_5")
	wait(0.5)
	say("ACP1_8_6")
	wait(0.75)
    say("ACP1_8_7")
	enableMovement()
	enableRetry()
end


function onEnd(level, wasSkipped)
	if wasSkipped then
		teleportTo( 5796, 1184)
		enableMovement()
		enableRetry()
	end
end
